python3-jupyter_notebook-lang-5.7.7-1.1.noarch.rpm


Advertisement

Description

python3-jupyter_notebook-lang - Provides translations for python3-jupyter_notebook

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python3-jupyter_notebook-lang-5.7.7-1.1.noarch.rpm
Package name python3-jupyter_notebook-lang
Package version 5.7.7
Package release 1.1
Package architecture noarch
Package type rpm
Category Development/Languages/Python
Homepage https://github.com/jupyter/notebook
License BSD-3-Clause
Maintainer -
Download size 79.33 KB
Installed size 341.38 KB
Provides translations for the "python3-jupyter_notebook" package.

Alternatives

Package Version Architecture Repository
python3-jupyter_notebook-lang - - -

Requires

Name Value
python3-jupyter_notebook = 5.7.7

Provides

Name Value
python3-jupyter_notebook-lang = 5.7.7-1.1
python3-jupyter_notebook-lang-all = 5.7.7

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python3-jupyter_notebook-lang-5.7.7-1.1.noarch.rpm
Source Package python-jupyter_notebook-5.7.7-1.1.src.rpm

Install Howto

Install python3-jupyter_notebook-lang rpm package:

# zypper install python3-jupyter_notebook-lang

Files

Path
/usr/lib/python3.7/site-packages/notebook/i18n/fr_FR/
/usr/lib/python3.7/site-packages/notebook/i18n/fr_FR/LC_MESSAGES/nbjs.json
/usr/lib/python3.7/site-packages/notebook/i18n/fr_FR/LC_MESSAGES/nbjs.po
/usr/lib/python3.7/site-packages/notebook/i18n/fr_FR/LC_MESSAGES/nbui.mo
/usr/lib/python3.7/site-packages/notebook/i18n/fr_FR/LC_MESSAGES/nbui.po
/usr/lib/python3.7/site-packages/notebook/i18n/fr_FR/LC_MESSAGES/notebook.mo
/usr/lib/python3.7/site-packages/notebook/i18n/fr_FR/LC_MESSAGES/notebook.po
/usr/lib/python3.7/site-packages/notebook/i18n/zh_CN/
/usr/lib/python3.7/site-packages/notebook/i18n/zh_CN/LC_MESSAGES/nbjs.json
/usr/lib/python3.7/site-packages/notebook/i18n/zh_CN/LC_MESSAGES/nbjs.po
/usr/lib/python3.7/site-packages/notebook/i18n/zh_CN/LC_MESSAGES/nbui.mo
/usr/lib/python3.7/site-packages/notebook/i18n/zh_CN/LC_MESSAGES/nbui.po
/usr/lib/python3.7/site-packages/notebook/i18n/zh_CN/LC_MESSAGES/notebook.mo
/usr/lib/python3.7/site-packages/notebook/i18n/zh_CN/LC_MESSAGES/notebook.po
/usr/share/licenses/python3-jupyter_notebook-lang/COPYING.md

Changelog

2019-04-01 - Todd R <toddrme2178@gmail.com>
- Fix doc url
2019-03-30 - Arun Persaud <arun@gmx.de>
- update to version 5.7.7:
* Fix regression in restarting kernels in 5.7.5. The restart handler
would return before restart was completed.
* Further improve compatibility with tornado 6 with improved checks
for when websockets are closed.
* Fix regression in 5.7.6 on Windows where .js files could have the
wrong mime-type.
* Fix Open Redirect vulnerability where certain malicious URLs could
redirect from the Jupyter login page to a malicious site after a
successful login. A CVE has been requested for this vulnerability.
2019-03-10 - Arun Persaud <arun@gmx.de>
- update to version 5.7.6:
* 5.7.6 contains a security fix for a cross-site inclusion (XSSI)
vulnerability, where files at a known URL could be included in a
page from an unauthorized website if the user is logged into a
Jupyter server. The fix involves setting the
X-Content-Type-Options: nosniff header, and applying CSRF checks
previously on all non-GET API requests to GET requests to API
endpoints and the /files/ endpoint.
The attacking page is able to access some contents of files when
using Internet Explorer through script errors, but this has not
been demonstrated with other browsers. A CVE has been requested
for this vulnerability.
2019-03-09 - Arun Persaud <arun@gmx.de>
- update to version 5.7.5:
* Fix compatibility with tornado 6 (:ghpull:`4392`, :ghpull:`4449`).
* Fix opening integer filedescriptor during startup on Python 2
(:ghpull:`4349`)
* Fix compatibility with asynchronous KernelManager.restart_kernel
methods (:ghpull:`4412`)
2019-01-11 - rolf@rotkraut.de
- Update requirements: python-jupyter_core >= 4.4.0, python-terminado >= 0.8.1.
2019-01-09 - Jan Engelhardt <jengelh@inai.de>
- Fix {name} -> %{name}
2019-01-04 - Todd R <toddrme2178@gmail.com>
- Update to 5.7.4
* fixes a bug introduced in 5.7.3, in which the ``list_running_servers()``
function attempts to parse HTML files as JSON, and consequently crashes
(:ghpull:`4284`).
- Update to 5.7.3
* Launch the browser with a local file which redirects to the server address
including the authentication token (:ghpull:`4260`).
This prevents another logged-in user from stealing the token from command line
arguments and authenticating to the server.
The single-use token previously used to mitigate this has been removed.
Thanks to Dr. Owain Kenway for suggesting the local file approach.
* Upgrade bootstrap to 3.4, fixing an XSS vulnerability, which has been
assigned `CVE-2018-14041 <https://nvd.nist.gov/vuln/detail/CVE-2018-14041>`_
(:ghpull:`4271`).
2018-11-24 - Arun Persaud <arun@gmx.de>
- update to version 5.7.2:
* 5.7.2 contains a security fix preventing malicious directory names
from being able to execute javascript. CVE request pending.
- changes from version 5.7.1:
* 5.7.1 contains a security fix preventing nbconvert endpoints from
executing javascript with access to the server API. CVE request
pending.

See Also

Package Description
python3-jupyter_notebook-latex-5.7.7-1.1.noarch.rpm LaTeX support for the Jupyter Notebook
python3-jupyter_octave_kernel-0.28.4-1.4.noarch.rpm Jupyter kernel for Octave
python3-jupyter_qtconsole-4.4.3-1.2.noarch.rpm Jupyter Qt console
python3-jupyter_sphinx-0.1.4-1.2.noarch.rpm Jupyter Sphinx Extensions
python3-jupyter_vega-1.4.0-1.2.noarch.rpm An IPython/Jupyter widget for Vega 3 and Vega-Lite 2
python3-jupyter_widgetsnbextension-3.4.2-1.3.noarch.rpm IPython HTML widgets for Jupyter
python3-jwcrypto-0.6.0-1.1.noarch.rpm Python module package implementing JOSE Web standards
python3-k5test-0.9.2-1.1.noarch.rpm A library for testing Python applications in krb5 environments
python3-kafka-python-1.3.3-3.2.noarch.rpm Pure Python client for Apache Kafka
python3-kaitaistruct-0.8-2.2.noarch.rpm Python library for kaitaistruct
python3-kazoo-2.6.1-1.1.noarch.rpm Higher Level Zookeeper Client
python3-keepalive-0.5-2.2.noarch.rpm Urllib keepalive support for python
python3-kerberos-1.2.5-1.3.i586.rpm Kerberos high-level interface
python3-kerberos-1.2.5-1.3.x86_64.rpm Kerberos high-level interface
python3-keyczar-0.716-3.2.noarch.rpm Python toolkit for cryptography
Advertisement
Advertisement